| Home >> All >> org >> apache >> cocoon >> [ components Javadoc ] |
Page 1 2 3
org.apache.cocoon.components: Javadoc index of package org.apache.cocoon.components.
Package Samples:
org.apache.cocoon.components.language.markup.xsp
org.apache.cocoon.components.language.markup.sitemap
org.apache.cocoon.components.language.markup
org.apache.cocoon.components.language.generator
org.apache.cocoon.components.language.programming.java
org.apache.cocoon.components.language.programming.javascript
org.apache.cocoon.components.language.programming
org.apache.cocoon.components.language
org.apache.cocoon.components.elementprocessor.impl.poi.hssf.elements
org.apache.cocoon.components.elementprocessor.impl.poi.hssf
org.apache.cocoon.components.elementprocessor.impl.poi
org.apache.cocoon.components.elementprocessor.impl
org.apache.cocoon.components.elementprocessor.types
org.apache.cocoon.components.elementprocessor
org.apache.cocoon.components.classloader
org.apache.cocoon.components.modules.database
org.apache.cocoon.components.modules.output
org.apache.cocoon.components.modules.input
org.apache.cocoon.components.jsp
org.apache.cocoon.components.deli
Classes:
Interpreter: The interface to the flow scripting languages. This interface is for a component, which implements the appropriate language to be used for describing the flow. A system could have multiple components that implement this interface, each of them for a different scripting language. A flow script defines what is the page flow in an interactive Web application. Usually the flow is defined in a high level programming language which provides the notion of continuations, which allows for the flow of the application to be described as a simple procedural program, without having to think about the application ...
JaxpParser: An XMLParser that is only dependant on JAXP 1.1 compliant parsers. The configuration can contain the following parameters : validate (boolean, default = false ) : should the parser validate parsed documents ? namespace-prefixes (boolean, default = false ) : do we want namespaces declarations also as 'xmlns:' attributes ? Note : setting this to true confuses some XSL processors (e.g. Saxon). reuse-parsers (boolean, default = true ) : do we want to reuse parsers or create a new parser for each parse ? Note : even if this parameter is true , parsers are not recycled in case of parsing errors : some ...
ChainMetaModule: This modules allows to "chain" several other modules. If a module returns "null" as attribute value, the next module in the chain is queried until either a value can be obtained or the end of the chain is reached. A typical example would be to "chain" request parameters, session attributes, and constants in this order. This way, an application could have a default skin that could be overridden by a user in her/his profile stored in the session. In addition, the user could request a different skin through passing a request parameter. Usage: Any number of <input-module/> blocks may appear in ...
JXPathMetaModule: JXPathModule allows to access properties of any object in generic way. JXPath provides APIs for the traversal of graphs of JavaBeans, DOM and other types of objects using the XPath syntax. This is based on the AbstractJXPathModule and duplicates the code since multiple inheritance is not possible. Please keep both classes in sync. Configuration example: <input-module name="request-attr" parameter="foo"/> Uses the "request-attr" input module to obtain parameter named "foo" and applies the given JXPath expression to it. <function name="java.lang.String" prefix="str"/> Imports the class ...
XMLMetaModule: Meta module that obtains values from other module and returns all parameters as XML. Config <!-- in cocoon.xconf --> <input-module name="request" ignore="do-" strip="user."/> <!-- e.g. in database.xml --> <mode type="all" name="xmlmeta" ignore="foo." use="foo" strip="f" root="my-root"/> If present, "ignore" gives a prefix of parameters to ignore, ignore has precedence over the "use" attribute, "strip" a prefix that will be removed from the final parameter names in the produced XML, "use" is a prefix for parameters to include in the XML, and "root" is the name of the root ...
XSLTProcessorImpl: This class defines the implementation of the XSLTProcessor component. To configure it, add the following lines in the cocoon.xconf file: <xslt-processor class="org.apache.cocoon.components.xslt.XSLTProcessorImpl"> <parameter name="use-store" value="true"/> <parameter name="transformer-factory" value="org.apache.xalan.processor.TransformerFactoryImpl"/> </xslt-processor> The <use-store> configuration forces the transformer to put the Templates generated from the XSLT stylesheet into the Store . This property is true by default. The <transformer-factory> configuration ...
XSPCookieHelper: This class is a helper class used by Cookie logicsheet This class contains following methods: public static void addCookie(Map , String , String , String , String , int , String , String , int); public static Cookie[] getCookies(Map); public static void getCookies(Map , ContentHandler) throws SAXException; public static Cookie getCookie(Map , String ,int ) throws SAXException; public static void getCookie(Map ,String ,int , ContentHandler) throws SAXException; public static String getComment(Map ,String , int); public static String getDomain(Map , String , int); public static String getMaxAge(Map ...
AbstractJXPathModule: JXPathModule allows to access properties of any object in generic way. JXPath provides APIs for the traversal of graphs of JavaBeans, DOM and other types of objects using the XPath syntax. JXPathMetaModule is based on this class and duplicates the code since multiple inheritance is not possible. Please keep both classes in sync. Configuration example: <function name="java.lang.String" prefix="str"/> Imports the class "String" as extension class to the JXPathContext using the prefix "str". Thus "str:length(xpath)" would apply the method "length" to the string object obtained from the xpath ...
CollectionMetaModule: Constructs an array of values suitable for a JDBC collection type from parameters obtained from another input module. Application is not limited to JDBC collections but can be used wherever similar named attributes shall be collected to an array of a given type. Currently, long, int, and string are known, more to come. Global and local configuration input-module Name of the input module used to obtain the value and its configuration member Collection member Attribute name Parameter name, "*" may distinguish multiple collections type JDBC type name of members
ElementProcessor: The ElementProcessor interface defines behavior for classes that can handle a particular XML element's content. The life cycle of an ElementProcessor instance is: Creation Initialization via a call to initialize Acquisition of element data via calls to acceptCharacters and acceptWhitespaceCharacters Completion of processing via a call to endProcessing In response to a startElement event, the POIFSSerializer creates an ElementProcessor, delegating the act of creation to an ElementProcessorFactory, and then initializes the ElementProcessor. In response to subsequent characters and ignorableWhitespace ...
BlobSource: A Source that takes its content in a single JDBC column. Any kind of column can be used (clob, blob, varchar, etc), but "Blob" means that the whole content is contained in a single column. The URL syntax is "blob:/datasource/table/column[cond]", where : "datasource" is the jdbc datasource to use (defined in cocoon.xonf) "table" is the database table, "column" is (you can guess, now :) the column in "table", "cond" is the boolean condition used to select a particular record in the table. For example, " blob:/personel/people/photo[userid='foo'] " will fetch the first column returned by the statement ...
SimpleMappingMetaModule: Meta module that obtains values from an other module and by replacing the requested attribute name with another name. This is done first through a replacement table and may additionally prepend or append a string. Replacement works in both ways, it is applied to the returned attribute names as well. Example configuration: <prefix>cocoon.</prefix> <suffix>.attr</suffix> <mapping in="foo" out="bar"/> <mapping in="yuk" out="yeeha"/> Will map a parameter "foo" to the real one named "cocoon.bar.attr". If parameters "coocoon.yeeha.attr" and "shopping.cart" exist, the ...
ProcessingNodeBuilder: A ProcessingNode builder. Lifecycle information : a TreeBuilder can be recycled and used to build several Processor s, each one defining a different ComponentManager . As a consequence, a ProcessingNodeBuilder that needs access to the ComponentManager of the Processor being built must be not only Composable but also Recomposable . Note however that being Recomposable doesn't forbid to be ThreadSafe since a ProcessingNodeBuilder is used by only one TreeBuilder at a time.
ContinuationsManager: The interface of the Continuations manager. The continuation manager maintains a forrest of WebContinuation trees. Each tree defines the flow of control for a user within the application. A WebContinuation is created for a continuation object from the scripting language used. A continuation object in the implementation of the scripting language is an opaque object here. It is only stored inside the WebContinuation , without being interpreted in any way.
AggregateNode: View-handling in aggregation : map:aggregate can have a label, but doesn't match view from-position="first" like generators each map:part can have a label if at least one of the parts has a label matching the current view, only parts matching this view are added. Otherwise, all parts are added. For more info on aggregation and views, see the mail archive here or here .
InvokeContext: The invocation context of ProcessingNode s. This class serves two purposes : Avoid explicit enumeration of all needed parameters in ProcessingNode.invoke(Environment, InvokeContext) 55 , thus allowing easier addition of new parameters, Hold pipelines, and provide "just in time" lookup for them.
Anchors: Anchors. This particular object is represented in gnumeric's XML as four integers, space separated. Presumably, each represents an anchor for a particular direction -- top, bottom, left, right -- but what the reference is for each anchor is not known, nor is it known which one is top, bottom, left, or right, or even whether that's the correct interpretation of the numbers. This is an area of the gnumeric XML that is not terribly well documented even in their code, and I don't think the features that use anchors are terribly mature yet.
Offsets: Offsets. This particular object is represented in gnumeric's XML as four doubles, space separated. Presumably, each represents an offset in a particular direction -- top, bottom, left, right -- but what the reference is for each offset is not known, nor is it known which one is top, bottom, left, or right, or even whether that's the correct interpretation of the numbers. This is an area of the gnumeric XML that is not terribly well documented even in their code, and I don't think the features that use offsets are terribly mature yet.
ResolverImpl: A component that uses catalogs for resolving entities. This implementation uses the XML Entity and URI Resolvers from http://xml.apache.org/commons/ published by Norman Walsh. More information on the catalogs can be found at http://xml.apache.org/cocoon/userdocs/concepts/catalog.html The catalog is by default loaded from "resources/entities/catalog". This can be configured by the "catalog" parameter in the cocoon.xconf: <entity-resolver> <parameter name="catalog" value="mycatalog"/> </entity-resolver>
SimpleLuceneCocoonSearcherImpl: This class provides searching via lucene. In order to do searching you need a lucene Directory where the lucene generated index resides. Moreover you must know the lucene Analyzer which has been used for indexing, and which will be used for searching. Knowing this you can may start searching having a query which is parsable by an QueryParser, and having the name of the default field to use in searching. This class returns an Hit object as its search result.
CocoonComponentManager: Cocoon Component Manager. This manager extends the ExcaliburComponentManager by a special lifecycle handling for a RequestLifecycleComponent WARNING: This is a "private" Cocoon core class - do NOT use this class directly - and do not assume that a ComponentManager you get via the compose() method is an instance of CocoonComponentManager.
StreamPipeline: A StreamPipeline either collects a Reader and let it produce a character stream or connects an EventPipeline with a Serializer and let them produce the byte stream A StreamPipeline is Recomposable since the ComponentManager used to get the reader or serializer depends on the pipeline assembly engine where they are defined (i.e. a given sitemap file).
EnvironmentChanger: This class is an org.apache.cocoon.xml.XMLConsumer that changes the current environment. When a pipeline calls an internal pipeline, two environments are established: one for the calling pipeline and one for the internal pipeline. Now, if SAX events are send from the internal pipeline, they are received by some component of the calling pipeline, so inbetween we have to change the environment forth and back.
RequestModule: RequestModule provides access to Request object properties. To get access to request properties use XPath syntax, e.g. to get the request context path use 'contextPath' as the attribute name. More complex expressions are also supported, e.g.: 'userPrincipal/name' will return the name property of the Principal object returned by the request.getUserPrincipal() method. If requested object is not found then an exception will be thrown.
| Home | Contact Us | Privacy Policy | Terms of Service |